SHARE
TWEET

Lin 16 whyred build error

aperio Sep 28th, 2018 (edited) 94 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. [572/986] including system/sepolicy/Android.mk ...
  2. system/sepolicy/Android.mk:79: warning: BOARD_SEPOLICY_VERS not specified, assuming current platform version
  3. system/sepolicy/Android.mk:89: warning: Be careful when using the SELINUX_IGNORE_NEVERALLOWS flag. It does not work in user builds and using it will not stop you from failing CTS.
  4. [986/986] including vendor/xiaomi/whyred/Android.mk ...
  5. hardware/qcom/bt-caf/libbt-vendor/Android.mk: error: libbt-vendor (SHARED_LIBRARIES android-arm64) missing libbtnv (SHARED_LIBRARIES android-arm64)
  6. You can set ALLOW_MISSING_DEPENDENCIES=true in your environment if this is intentional, but that may defer real problems until later in the build.
  7. hardware/qcom/bt-caf/libbt-vendor/Android.mk: error: libbt-vendor (SHARED_LIBRARIES android-arm) missing libbtnv (SHARED_LIBRARIES android-arm)
  8. You can set ALLOW_MISSING_DEPENDENCIES=true in your environment if this is intentional, but that may defer real problems until later in the build.
  9. hardware/qcom/bt-caf/tools/hidl_client/Android.mk: error: libbt-hidlclient (SHARED_LIBRARIES android-arm64) missing com.qualcomm.qti.ant@1.0 (SHARED_LIBRARIES android-arm64)
  10. You can set ALLOW_MISSING_DEPENDENCIES=true in your environment if this is intentional, but that may defer real problems until later in the build.
  11. hardware/qcom/bt-caf/tools/hidl_client/Android.mk: error: libbt-hidlclient (SHARED_LIBRARIES android-arm64) missing vendor.qti.hardware.fm@1.0 (SHARED_LIBRARIES android-arm64)
  12. You can set ALLOW_MISSING_DEPENDENCIES=true in your environment if this is intentional, but that may defer real problems until later in the build.
  13. hardware/qcom/bt-caf/tools/hidl_client/Android.mk: error: libbt-hidlclient (SHARED_LIBRARIES android-arm) missing com.qualcomm.qti.ant@1.0 (SHARED_LIBRARIES android-arm)
  14. You can set ALLOW_MISSING_DEPENDENCIES=true in your environment if this is intentional, but that may defer real problems until later in the build.
  15. hardware/qcom/bt-caf/tools/hidl_client/Android.mk: error: libbt-hidlclient (SHARED_LIBRARIES android-arm) missing vendor.qti.hardware.fm@1.0 (SHARED_LIBRARIES android-arm)
  16. You can set ALLOW_MISSING_DEPENDENCIES=true in your environment if this is intentional, but that may defer real problems until later in the build.
  17. build/make/core/main.mk:850: error: exiting from previous errors.
  18. 13:23:41 ckati failed with: exit status 1
  19.  
  20. #### failed to build some targets (01:22 (mm:ss)) ####
  21.  
  22.  
  23.  
  24. Possible fix;
  25.  
  26. https://gitlab.com/Okeys/proprietary_vendor_oneplus/commit/d4de163a754f37eaf458c6a1063986bd4b3034f7
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top